<?

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Главная';
include_once '../sys/inc/thead.php';
title();
err();

//Для авторизованых
if (isset($user)){

//Лента

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `tape`  WHERE `id_user` = '$user[id]' "),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page-$set['p_str'];
$q = mysql_query("SELECT * FROM `tape` WHERE `id_user` = '$user[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
if ($k_post == 0){
echo '<div class="block4"><center><img style="max-width:60%;" src="/img/no_lenta.png"></br>В вашей ленте пока ничего нет</center></div>';
}
//Вывод событий в ленте
while ($post = mysql_fetch_assoc($q)){
$type = $post['type'];
$avtor = get_user($post['avtor']);
$name = null;
if ($post['read'] == 0){
$s1 = "<font color='red'>";
$s2 = "</font>";
mysql_query("UPDATE `tape` SET `read` = '1' WHERE `id` = '$post[id]'");
}else{
$s1 = null;
$s2 = null;
}
//Помечаем сообщение прочитанным
$d = opendir('user/lenta/inc/');
while($dname = readdir($d)){
if ($dname != '.' && $dname != '..'){
include 'user/lenta/inc/' . $dname;
}
}
}
//Страницы
if ($k_page>1)str('?',$k_page,$page); 

//Лента end

}else{
//Для гостей

echo '<div class="block">
</br><center><img src="/style/themes/default/logo.png"></center></br>
<form method="post" action="/login.php">
<input class="input_aut" placeholder="Логин" type="text" name="nick" required="">
<input class="input_aut" placeholder="Пароль" type="password" name="pass" required="">
<input class="button" type="submit" value="Войти">
</form>

<table style="text-align:center;padding: 20px;" cellpadding="0" cellspacing="0">
<td><div style="background: #e2e2e2; height: 1px; color: white;">-</div></td>
<td style="width:80px;"><div style="color: #999; font-weight: 600; font-size: 20px;">или</div></td>
<td><div style="background: #e2e2e2; height: 1px; color: white;">-</div></td>
</table>

<a style="display: block; color: black; text-align: center; padding: 0 0 10px 0;" href="/pass.php">Забыли пароль?</a>

</div>

<div style="padding:15px;" class="block mt10"><center>
У вас ещё нет аккаунта? <a href="/registration.php"><b><font color="#3897f0">Зарегистрироваться</font></b></a>
</center></div>';

}

include_once '../sys/inc/tfoot.php';

?>